Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report
Interface DataSet

All Superinterfaces:
  Visualizer

All Known Implementing Classes:
  JTLData

public interface DataSet
extends Visualizer

DataSet extends Visualizer so that it can be used with ResultCollector. Classes implementing the interface should create a new instance of ResultCollector and call setListener(Visualizer) passing itself. When the ResultCollector.loadExistingFile is called, it will pass the SampleResults.

Method Summary
`String` | `getDataSource()` Return the datasource.
`String` | `getDataSourceName()` In some cases, we may want to return a string that isn't the full datasource string or something different.
`Date` | `getDate()` Return the Date object using the start timestamp
`long` | `getEndTimestamp()` return the timestamp in millisecond format.
`String` | `getMonthDayDate()` convienance method for getting the date in mmdd format
`String` | `getMonthDayYearDate()` convienant method for getting the date in yyyymmdd format
`long` | `getStartTimestamp()` return the timestamp in millisecond format.
`SamplingStatCalculator` | `getStatistics(String url)` Return the SamplingStatCalculator for a specific URL.
`Set` | `getStats()` Classes implementing the method should return instance of SamplingStatCalculator.
`List` | `getStats(List urls)` Convienance method for getting all the SamplingStatCalculators for a given URL.
`Set` | `getURLs()` Classes implementing the method should return the URL's in the DataSet.
`void` | `loadData()` Classes implementing the method should load the data from the target location.
`void` | `setDataSource(String datasource)` Depending on the implementation, the datasouce could be a file or a RDBMS.
`void` | `setEndTimestamp(long stamp)` Set the timestamp using the last result from the datasource
`void` | `setStartTimestamp(long stamp)` Set the timestamp using the first result from the datasource

Methods inherited from interface org.apache.jmeter.visualizers.Visualizer
`add, isStats`

Method Detail

### setDataSource

    public void setDataSource(String datasource)

  Depending on the implementation, the datasouce could be a file or a RDBMS. It's up to the implementing class to decide.

  Parameters:
    `datasource` -

### getDataSource

    public String getDataSource()

  Return the datasource. For files, it should be the absolute path. For databases, it should be the datasource name created in jmeter.

### getDataSourceName

    public String getDataSourceName()

  In some cases, we may want to return a string that isn't the full datasource string or something different. For example, we may want to return just the filename and not the absolutePath of a JTL file.

### setStartTimestamp

    public void setStartTimestamp(long stamp)

  Set the timestamp using the first result from the datasource

  Parameters:
    `stamp` -

### getStartTimestamp

    public long getStartTimestamp()

  return the timestamp in millisecond format.

### setEndTimestamp

    public void setEndTimestamp(long stamp)

  Set the timestamp using the last result from the datasource

  Parameters:
    `stamp` -

### getEndTimestamp

    public long getEndTimestamp()

  return the timestamp in millisecond format.

### getDate

    public Date getDate()

  Return the Date object using the start timestamp

### getMonthDayDate

    public String getMonthDayDate()

  convienance method for getting the date in mmdd format

### getMonthDayYearDate

    public String getMonthDayYearDate()

  convienant method for getting the date in yyyymmdd format

### getURLs

    public Set getURLs()

  Classes implementing the method should return the URL's in the DataSet. It is up to the class to return Strings or URL.

### getStats

    public Set getStats()

  Classes implementing the method should return instance of SamplingStatCalculator.

  Returns:
    the set of statistics

### getStatistics

    public SamplingStatCalculator getStatistics(String url)

  Return the SamplingStatCalculator for a specific URL.

  Parameters:
    `url` -

### getStats

    public List getStats(List urls)

  Convienance method for getting all the SamplingStatCalculators for a given URL.

  Parameters:
    `urls` -

### loadData

    public void loadData()

  Classes implementing the method should load the data from the target location. It doesn't necessarily have to be a file. It could be from a database.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.